"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const path_1 = (0, tslib_1.__importDefault)(require("path"));
const isomorphic_git_1 = (0, tslib_1.__importDefault)(require("isomorphic-git"));
const node_1 = (0, tslib_1.__importDefault)(require("isomorphic-git/http/node"));
const log_1 = (0, tslib_1.__importDefault)(require("../../utils/log"));
const removeFolder_1 = require("../../utils/removeFolder");
async function createProject({ projectName, targetPath, repositoryLink }) {
    const templatePath = path_1.default.join(targetPath, projectName);
    try {
        await isomorphic_git_1.default.clone({
            fs: fs_1.default,
            http: node_1.default,
            dir: templatePath,
            url: repositoryLink,
            singleBranch: true,
            depth: 1
        });
        (0, removeFolder_1.removeFolder)(templatePath, '.git');
        log_1.default.success('Project template initialized successfully. ');
        log_1.default.info('Check out https://docs.vuestorefront.io/v2');
    }
    catch (error) {
        log_1.default.error('Unable to get integration template from git repository');
    }
}
exports.default = createProject;
//# sourceMappingURL=index.js.map