"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTemplate = void 0;
const tslib_1 = require("tslib");
const log_1 = (0, tslib_1.__importDefault)(require("../../utils/log"));
const processMagicCommentsInNuxtConfig_1 = require("./processMagicCommentsInNuxtConfig");
const removeFolder_1 = require("../../utils/removeFolder");
const execa = require('execa');
const fs = require('fs');
const processTemplate = async ({ vsfTuConfigFilePath, generatedTemplatePath }) => {
    try {
        await execa('vsf-tu');
    }
    catch (error) {
        log_1.default.error('Unprocessable template');
        process.exitCode = 1;
    }
    try {
        const removeVsfTuConfigFile = () => fs.unlinkSync(vsfTuConfigFilePath);
        removeVsfTuConfigFile();
    }
    catch (error) {
        log_1.default.error('Can\'t remove VSF-TU config file');
    }
    await (0, processMagicCommentsInNuxtConfig_1.processMagicCommentsInNuxtConfig)(generatedTemplatePath);
    try {
        (0, removeFolder_1.removeFolder)(generatedTemplatePath, '_theme');
    }
    catch (error) {
        log_1.default.error('Fail to remove _theme folder');
    }
};
exports.processTemplate = processTemplate;
//# sourceMappingURL=processTemplate.js.map